
%define module PyQwt
%define version 4.2
%define release 1

%define sipfiles /usr/share/sip

Name:         python-qwt
Version:      %{version}
Release:      %mkrel %release
Url:	      http://pyqwt.sourceforge.net/
License:      GPL
Group:        Development/Python
Summary:      Python bindings for Qwt (Qt Widgets for Technical applications)
Source0:      http://belnet.dl.sourceforge.net/sourceforge/pyqwt/%{module}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Provides:     PyQwt = %{version}-%{release}
Requires:     python
Requires:     PyQt
Requires:     libqwt4
Requires:     python-numeric
Requires:     sip
BuildRequires: python-devel libqwt-devel python-numeric-devel PyQt-devel sip

%description

Qwt is an extension to the Qt GUI library. The Qwt library contains
widgets and components which are primarily useful for technical and
scientifical purposes. It includes a 2-D plotting widget, different
kinds of sliders, and much more.

PyQwt has almost all functionality of the Qwt library implemented.


%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%{_docdir}/%{module}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
cp ANN* AUTHORS COPYING* DIFFER INSTALL MANIFEST* PATCHER README* REGIS* THANKS $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/python%{pyver}/site-packages/*
%{_docdir}/%{name}-%{version}

%changelog
* Tue Mar 29 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 4.2-1mdk
- initial contrib


